Update a transaction bundle
curl --request PATCH \
--url https://incoming.qomon.app/v1/transaction_bundles/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"donations": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"affectation": "<string>",
"amount_initial": 1,
"comment": "<string>",
"currency": "<string>",
"donation_price_id": 1,
"id": 1
}
],
"id": 1,
"memberships": [
{
"amount": 0,
"contact_id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"amount_initial": 1,
"comment": "<string>",
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"id": 1,
"membership_price_id": 1,
"rolling_year": true,
"start_date": "2023-11-07T05:31:56Z"
}
],
"summary": {},
"transactions": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"code_campaign": "<string>",
"comment": "<string>",
"comment_date": "2023-11-07T05:31:56Z",
"currency": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_token": "<string>",
"external_transaction_id": 1,
"id": 1,
"payment_method": {},
"payment_method_kind": "<string>",
"reimbursed_amount": 1,
"status_id": 1,
"transaction_bundle_id": 1,
"unpaid_amount": 1
}
]
}
}
'import requests
url = "https://incoming.qomon.app/v1/transaction_bundles/{id}"
payload = { "data": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"donations": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"affectation": "<string>",
"amount_initial": 1,
"comment": "<string>",
"currency": "<string>",
"donation_price_id": 1,
"id": 1
}
],
"id": 1,
"memberships": [
{
"amount": 0,
"contact_id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"amount_initial": 1,
"comment": "<string>",
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"id": 1,
"membership_price_id": 1,
"rolling_year": True,
"start_date": "2023-11-07T05:31:56Z"
}
],
"summary": {},
"transactions": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"code_campaign": "<string>",
"comment": "<string>",
"comment_date": "2023-11-07T05:31:56Z",
"currency": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_token": "<string>",
"external_transaction_id": 1,
"id": 1,
"payment_method": {},
"payment_method_kind": "<string>",
"reimbursed_amount": 1,
"status_id": 1,
"transaction_bundle_id": 1,
"unpaid_amount": 1
}
]
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
CreatedAt: '2023-11-07T05:31:56Z',
UpdatedAt: '2023-11-07T05:31:56Z',
donations: [
{
amount: 0,
contact_id: 1,
date: '2023-11-07T05:31:56Z',
CreatedAt: '2023-11-07T05:31:56Z',
UpdatedAt: '2023-11-07T05:31:56Z',
affectation: '<string>',
amount_initial: 1,
comment: '<string>',
currency: '<string>',
donation_price_id: 1,
id: 1
}
],
id: 1,
memberships: [
{
amount: 0,
contact_id: 1,
CreatedAt: '2023-11-07T05:31:56Z',
UpdatedAt: '2023-11-07T05:31:56Z',
amount_initial: 1,
comment: '<string>',
currency: '<string>',
end_date: '2023-11-07T05:31:56Z',
id: 1,
membership_price_id: 1,
rolling_year: true,
start_date: '2023-11-07T05:31:56Z'
}
],
summary: {},
transactions: [
{
amount: 0,
contact_id: 1,
date: '2023-11-07T05:31:56Z',
CreatedAt: '2023-11-07T05:31:56Z',
UpdatedAt: '2023-11-07T05:31:56Z',
code_campaign: '<string>',
comment: '<string>',
comment_date: '2023-11-07T05:31:56Z',
currency: '<string>',
delivered_at: '2023-11-07T05:31:56Z',
delivery_token: '<string>',
external_transaction_id: 1,
id: 1,
payment_method: {},
payment_method_kind: '<string>',
reimbursed_amount: 1,
status_id: 1,
transaction_bundle_id: 1,
unpaid_amount: 1
}
]
}
})
};
fetch('https://incoming.qomon.app/v1/transaction_bundles/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"donations": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"affectation": "<string>",
"amount_initial": 1,
"comment": "<string>",
"contact": {
"id": 1,
"firstname": "<string>",
"group_id": 1,
"membership_code": "<string>",
"membership_number": 1,
"surname": "<string>"
},
"currency": "<string>",
"donation_price_id": 1,
"id": 1
}
],
"group_id": 1,
"id": 1,
"memberships": [
{
"amount": 0,
"contact_id": 1,
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"amount_initial": 1,
"comment": "<string>",
"contact": {
"id": 1,
"firstname": "<string>",
"group_id": 1,
"membership_code": "<string>",
"membership_number": 1,
"surname": "<string>"
},
"currency": "<string>",
"end_date": "2023-11-07T05:31:56Z",
"id": 1,
"membership_price_id": 1,
"rolling_year": true,
"start_date": "2023-11-07T05:31:56Z"
}
],
"summary": {},
"transactions": [
{
"amount": 0,
"contact_id": 1,
"date": "2023-11-07T05:31:56Z",
"CreatedAt": "2023-11-07T05:31:56Z",
"UpdatedAt": "2023-11-07T05:31:56Z",
"code_campaign": "<string>",
"comment": "<string>",
"comment_date": "2023-11-07T05:31:56Z",
"currency": "<string>",
"delivered_at": "2023-11-07T05:31:56Z",
"delivery_token": "<string>",
"external_transaction_id": 1,
"group_id": 1,
"id": 1,
"payment_method": {},
"payment_method_kind": "<string>",
"reimbursed_amount": 1,
"status_id": 1,
"transaction_bundle_id": 1,
"unpaid_amount": 1
}
]
},
"status": "<string>"
}{
"detail": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "about:blank"
}Transaction bundles
Update a transaction bundle
Update an existing transaction bundle. Updates are additive — items not included in the request remain unchanged. Include the item id to update an existing item; omit id to add a new item.
PATCH
/
v1
/
transaction_bundles
/
{id}
Update a transaction bundle
Additive updates: items not included in the request arrays are left unchanged.
Updating an existing item: include its
id plus all required fields — omitted required fields may be cleared.
Adding a new item: omit id.
Partial refund: PATCH the transaction with the reimbursed status and reimbursed_amount, and update the amount on the linked membership or donation.
Full cancellation: DELETE /v1/transaction_bundles/{id} then recreate with POST /v1/transaction_bundles.Authorizations
OAuth2 access token. Pass the token in the Authorization header as Bearer <token>. The token is looked up in Redis to resolve the caller identity.
Path Parameters
Transaction bundle ID.
Required range:
x >= 0Example:
42
Body
application/json
Show child attributes
Show child attributes
Last modified on July 7, 2026
Was this page helpful?
⌘I

